cancel
Showing results for 
Search instead for 
Did you mean: 
Reply
Highlighted
Advocate II
Advocate II

Flow Status Error 400 - "The required field \"Permission Level Requested\" data type is not supported

Trying to connect to an Access Request list using the "When an item is created of modified" trigger action, but getting the 400 error:

"The required field \"Permission Level Requested\" data type is not supported
 
I'm able to open the list by URL in browser (example: "https://[site URL]/_api/web/lists/getbytitle('Access%20Requests')/items?$select=RequestedFor, Status") but Flow fail at this trigger action.
 
Any ideas/approach to try much appreciated!
5 REPLIES 5
Highlighted
Skilled Sharer
Skilled Sharer

Re: Flow Status Error 400 - "The required field \"Permission Level Requested\" data type is not supported

What SharePoint field type is ‘Permission Level Requested’?
Highlighted
Super User III
Super User III

Re: Flow Status Error 400 - "The required field \"Permission Level Requested\" data type is not supported

Can you please post a screen shot of your Flow as well as posting a screen shot of the permission level required column configuration please?

Scott
If I have answered your question, please mark your post as Solved.
If you like my response, please give it a Thumbs Up.

Scott
Highlighted
Advocate II
Advocate II

Re: Flow Status Error 400 - "The required field \"Permission Level Requested\" data type is not supported

This is the "Access Requests" list, my guess that the SharePoint field type is ‘Permission Level Requested’ might be the Person or Status fields? I can't change neither, this is the Access Request list...

 

access-request-list.png

Highlighted
Advocate II
Advocate II

Re: Flow Status Error 400 - "The required field \"Permission Level Requested\" data type is not supported

Please see the psot above for the list columns, this is the standard Access Request list. Below is the Flow error:access-request-flow-error.png

 

Highlighted
Frequent Visitor

Re: Flow Status Error 400 - "The required field \"Permission Level Requested\" data type is not supported

Go to list settings for the Access Requests list, select the 'Permission Level Requested' column to change, select 'no' for required property. I tried this and works. Had similar requirement like what I am guessing you had - automatic access provisioning. 

Helpful resources

Announcements
firstImage

Super User Program Update

Three Super User rank tiers have been launched!

firstImage

Power Platform 2020 release wave 2 plan

Features releasing from October 2020 through March 2021

firstImage

New & Improved Power Automate Community Cookbook

We've updated and improved the layout and uploading format of the Power Automate Cookbook!

thirdimage

Power Automate Community User Group Member Badge

Fill out a quick form to claim your user group badge now!

Top Solution Authors
Users online (7,310)